﻿-- Script was generated by Devart dbForge Studio for MySQL, Version 6.0.128.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 13/12/2018 9:56:26
-- Server version: 5.5.5-10.1.32-MariaDB
-- Client version: 4.1

--
-- Definition for database tienda_ropa
--
DROP DATABASE IF EXISTS tienda_ropa;
CREATE DATABASE tienda_ropa
	CHARACTER SET latin1
	COLLATE latin1_spanish_ci;

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

-- 
-- Set default database
--
USE tienda_ropa;

--
-- Definition for table categorias
--
CREATE TABLE categorias (
  id INT(11) NOT NULL AUTO_INCREMENT,
  nombre VARCHAR(255) NOT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 9
AVG_ROW_LENGTH = 3276
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

--
-- Definition for table usuarios
--
CREATE TABLE usuarios (
  id INT(11) NOT NULL AUTO_INCREMENT,
  nombre VARCHAR(255) NOT NULL,
  apellidos VARCHAR(255) DEFAULT NULL,
  email VARCHAR(50) NOT NULL,
  password VARCHAR(255) NOT NULL,
  rol VARCHAR(25) DEFAULT NULL,
  imagen VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY (id),
  UNIQUE INDEX email (email)
)
ENGINE = INNODB
AUTO_INCREMENT = 31
AVG_ROW_LENGTH = 5461
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

--
-- Definition for table pedidos
--
CREATE TABLE pedidos (
  id INT(11) NOT NULL AUTO_INCREMENT,
  usuario_id INT(11) NOT NULL,
  provincia VARCHAR(255) NOT NULL,
  localidad VARCHAR(255) NOT NULL,
  direccion VARCHAR(255) NOT NULL,
  coste FLOAT(200, 2) NOT NULL,
  estado VARCHAR(20) NOT NULL,
  fecha DATE DEFAULT NULL,
  hora TIME DEFAULT NULL,
  PRIMARY KEY (id),
  CONSTRAINT FK_pedidos_usuarios_id FOREIGN KEY (usuario_id)
    REFERENCES usuarios(id) ON DELETE RESTRICT ON UPDATE RESTRICT
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

--
-- Definition for table productos
--
CREATE TABLE productos (
  id INT(11) NOT NULL AUTO_INCREMENT,
  categoria_id INT(11) NOT NULL,
  nombre VARCHAR(255) NOT NULL,
  descripcion TEXT DEFAULT NULL,
  precio FLOAT(200, 2) NOT NULL,
  stock INT(11) NOT NULL,
  oferta VARCHAR(255) DEFAULT NULL,
  fecha DATE DEFAULT NULL,
  imagen VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY (id),
  CONSTRAINT FK_productos_categorias_id FOREIGN KEY (categoria_id)
    REFERENCES categorias(id) ON DELETE RESTRICT ON UPDATE RESTRICT
)
ENGINE = INNODB
AUTO_INCREMENT = 10
AVG_ROW_LENGTH = 2340
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

--
-- Definition for table lineas_pedidos
--
CREATE TABLE lineas_pedidos (
  id INT(11) NOT NULL AUTO_INCREMENT,
  pedido_id INT(11) DEFAULT NULL,
  producto_id INT(11) DEFAULT NULL,
  PRIMARY KEY (id),
  CONSTRAINT FK_lineas_pedidos_pedidos_id FOREIGN KEY (pedido_id)
    REFERENCES pedidos(id) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT FK_lineas_pedidos_productos_id FOREIGN KEY (producto_id)
    REFERENCES productos(id) ON DELETE RESTRICT ON UPDATE RESTRICT
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

-- 
-- Dumping data for table categorias
--
INSERT INTO categorias VALUES
(1, 'camisas manga larga'),
(2, 'camisas manga corta'),
(5, 'jeans'),
(6, 'jerseys'),
(8, 'chaquetas');

-- 
-- Dumping data for table usuarios
--
INSERT INTO usuarios VALUES
(28, 'dfff', 'asd dfd', 'ssdsd@df.es', '344444444', 'user', NULL),
(29, 'berto', 'ceballos', 'aa@aa.com', '$2y$04$ZOVVyu4sEGaZsupsD0JjDeOgtfBOSrpoazqPciG/rBIpKu1DvOSra', 'user', NULL),
(30, 'alberto', 'ceballos', 'admin@admin.com', '$2y$04$PT9W0tNvLXeSpWYOSgop3ugnC4ht3W86694sruPoaH4jQaADLv6TO', 'admin', NULL);

-- 
-- Dumping data for table pedidos
--

-- Table tienda_ropa.pedidos does not contain any data (it is empty)

-- 
-- Dumping data for table productos
--
INSERT INTO productos VALUES
(1, 1, 'camisa franela suave', NULL, 29.00, 50, NULL, '2018-12-10', NULL),
(2, 1, 'camisa pinpoint', NULL, 29.99, 30, NULL, '2018-12-10', NULL),
(3, 1, 'camisa Oxford cuadros', NULL, 29.99, 100, NULL, '2018-12-10', NULL),
(4, 1, 'camisa Oxford rayas', NULL, 29.99, 85, NULL, '2018-12-10', NULL),
(5, 1, 'camisa denim', NULL, 22.99, 30, NULL, '2018-12-10', NULL),
(6, 1, 'camisa stretch', NULL, 22.99, 70, NULL, '2018-12-10', NULL),
(8, 5, 'slim fit lavado medio', 'sdfsdf sdfsdf sd sdf', 22.99, 15, 'ddfgfgfgfgfg', '2018-12-10', NULL),
(9, 5, 'denim slim gris claro', '4 bolsillos, color gris claro', 28.00, 160, 'si', '2018-12-11', 'P_175495540TM.jpg');

-- 
-- Dumping data for table lineas_pedidos
--

-- Table tienda_ropa.lineas_pedidos does not contain any data (it is empty)

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;